declare const reducers: import("redux").Reducer<import("redux").CombinedState<{
    list: {
        loading: boolean;
        previewModalVisible: boolean;
        projectResourceList: import("../../../../typings").StoreProjectResource[];
        packageResourceList: import("../../../../typings").StorePackageResource[];
        variableResourceList: import("../../../../typings").StorePackageResource[];
        selectedItem: import("../../../../typings").StoreProjectResource;
        buyModalVisible: boolean;
        buyIds: string[];
        pageInfo: import("../../../../typings").PaginationInfo;
        searchText: string;
        selectedAppIds: string[];
        type: import("../../../constants").FileType;
        applicationList: import("../../../../typings").Application[];
        allApplicationList: import("../../../../typings").Application[];
    };
}>, import("typesafe-actions").PayloadAction<"STORE_CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"STORE__FETCH_RESOURCES", {
    type: string;
    appIds?: string[] | undefined;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"STORE__PUSH_PROJECT_RESOURCES", {
    list: import("../../../../typings").StoreProjectResource[];
    pageInfo: import("../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"STORE__PUSH_PACKAGE_RESOURCES", {
    list: import("../../../../typings").StorePackageResource[];
    pageInfo: import("../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"STORE__PUSH_VARIABLE_RESOURCES", {
    list: import("../../../../typings").StorePackageResource[];
    pageInfo: import("../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_BUY_MODAL_VISIBLE", {
    visible: boolean;
    ids: string[] | undefined;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_PREVIEW_MODAL_VISIBLE", {
    visible: boolean;
    resourceItem: any;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_RESOURCE_ITEM_CHECKED", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_PACKAGE_RESOURCE_ITEM_CHECKED", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_VARIABLE_RESOURCE_ITEM_CHECKED", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_SEARCH_TEXT", {
    text: string;
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_SELECTED_APP_IDS", {
    ids: string[];
}> | import("typesafe-actions").PayloadAction<"STORE__UPDATE_TYPE", {
    type: import("../../../constants").FileType;
}> | import("typesafe-actions").PayloadAction<"STORE__FETCH_APPLICATION_LIST", {
    params: import("../../../../typings").ApplicationListFetchParams;
}> | import("typesafe-actions").PayloadAction<"STORE__PUSH_APPLICATION_LIST", {
    list: import("../../../../typings").Application[];
}> | import("typesafe-actions").PayloadAction<"STORE__FETCH_ALL_APPLICATION_LIST", {
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"STORE__PUSH_ALL_APPLICATION_LIST", {
    list: import("../../../../typings").Application[];
}> | import("typesafe-actions").PayloadAction<"STORE__ADD_GOODS", {
    delivery: "clone" | "reference";
    appIds?: string[] | undefined;
    goodsIds: string[];
}>>;
export default reducers;
